directive

# `info/1`

## Description

    info([Key is Value, ...])

Documentation directive for objects, protocols, and categories. The directive argument is a list of pairs using the format Key is Value. See the Entity documenting directives section for a description of the default keys.

## Template and modes

    info(+entity_info_list)

## Examples

    :- info([
        version is 1:0:0,
        author is 'Paulo Moura',
        date is 2000-11-20,
        comment is 'List protocol.'
    ]).

See also

info/2, object_property/2, protocol_property/2, category_property/2